version: '3.8'

services:
  mypostgres:
    image: postgres:15
    container_name: postgres
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: password!1234
      POSTGRES_DB: testdatabase
    ports:
      - "5432:5432"
    volumes:
      - postgres-data:/var/lib/postgresql/data

  client-service:
    image: client-service
    ports:
      - "8080:8080"
    depends_on:
      - mypostgres

  account-service:
    image: account-service
    ports:
      - "8081:8081"
    depends_on:
      - mypostgres


volumes:
  postgres-data:
